n = int(input())
num = list(map(int, input().split()))
count = 0

for t in num :
    if t==1 : continue
    isPrime = True
    for i in range(2,int(t**0.5)+1) :
        if t%i==0 :
            isPrime = False
            break
    if isPrime : count+=1

print(count)